Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQListBoxPixmap Class Reference

The TQListBoxPixmap class provides list box items with a pixmap and optional text. More...

`#include <ntqlistbox.h>`

Inherits TQListBoxItem.

List of all member functions.

## Public Members

- TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pixmap )
- TQListBoxPixmap ( const TQPixmap & pixmap )
- TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pixmap, TQListBoxItem * after )
- TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pix, const TQString & text )
- TQListBoxPixmap ( const TQPixmap & pix, const TQString & text )
- TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pix, const TQString & text, TQListBoxItem * after )
- ~TQListBoxPixmap ()
- virtual const TQPixmap * pixmap () const
- virtual int height ( const TQListBox * lb ) const
- virtual int width ( const TQListBox * lb ) const

## Protected Members

- virtual void paint ( TQPainter * painter )

## Detailed Description

The TQListBoxPixmap class provides list box items with a pixmap and optional text.

Items of this class are drawn with the pixmap on the left with the optional text to the right of the pixmap.

See also TQListBox, TQListBoxItem, and Advanced Widgets.

## Member Function Documentation

### TQListBoxPixmap::TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pixmap )

Constructs a new list box item in list box listbox showing the pixmap pixmap.

### TQListBoxPixmap::TQListBoxPixmap ( const TQPixmap & pixmap )

Constructs a new list box item showing the pixmap pixmap.

### TQListBoxPixmap::TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pixmap, TQListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pixmap. The item gets inserted after the item after, or at the beginning if after is 0.

### TQListBoxPixmap::TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pix, const TQString & text )

Constructs a new list box item in list box listbox showing the pixmap pix and the text text.

### TQListBoxPixmap::TQListBoxPixmap ( const TQPixmap & pix, const TQString & text )

Constructs a new list box item showing the pixmap pix and the text to text.

### TQListBoxPixmap::TQListBoxPixmap ( TQListBox * listbox, const TQPixmap & pix, const TQString & text, TQListBoxItem * after )

Constructs a new list box item in list box listbox showing the pixmap pix and the string text. The item gets inserted after the item after, or at the beginning if after is 0.

### TQListBoxPixmap::~TQListBoxPixmap ()

Destroys the item.

### int TQListBoxPixmap::height ( const TQListBox * lb ) const`[virtual]`

Returns the height of the pixmap in list box lb.

See also paint() and width().

Reimplemented from TQListBoxItem.

### void TQListBoxPixmap::paint ( TQPainter * painter )`[virtual protected]`

Draws the pixmap using painter.

Reimplemented from TQListBoxItem.

### const TQPixmap * TQListBoxPixmap::pixmap () const`[virtual]`

Returns the pixmap associated with the item.

Reimplemented from TQListBoxItem.

### int TQListBoxPixmap::width ( const TQListBox * lb ) const`[virtual]`

Returns the width of the pixmap plus some margin in list box lb.

See also paint() and height().

Reimplemented from TQListBoxItem.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.